Garage & Updates

Learn about the newest features, products and client updates for all platforms

Share

Share

Making Way for the Next Generation of Skype on Desktop

Skype is all about getting people together, whenever they’re apart. To ensure that we provide our users with the best communication experience possible, we are always looking for ways to enhance the features you use every day.

As we look ahead to the future, we‘re focusing our efforts on bringing the latest and greatest to the most recent versions of Skype. As a result, we are going to retire older versions of Skype for Windows desktop (6.13 and below) as well as Skype for Mac (6.14 and below) over the next few months.

What are the benefits of the latest version?

You’ll be able to enjoy lots of great improvements. Some highlights:

  • Sending and receiving instant messages when your contacts are offline
  • Viewing consistent and complete chat history across multiple devices
  • Syncing read/unread status on all messages across devices

What do I need to do if I’m using an older version?

Don’t panic – whether you’re using Skype for Windows desktop or Skype for Mac, you can download and update to the latest version today for free. Simply follow the steps below:

  1. Whether you’re using Windows desktop or Mac, click to the Skype for Computers download page
  2. Download the latest version by clicking “Get Skype for Windows desktop” or “Get Skype for Mac”
  3. Follow the setup instructions to complete the installation process
  4. Sign in to Skype to continue using Skype without disruption

We encourage all users to update to the latest version today to continue using Skype without disruption.

We‘re excited to be working on great new experiences for Skype, but more on that later! For now, we encourage you to download and update to the latest version today.

For support on Skype for Windows desktop or Skype for Mac, you can go to our Skype Community pages.

56 thoughts on “Making Way for the Next Generation of Skype on Desktop

  1. What about Linux version?

    • Shana Pearlman said 4 months ago

      Hi Rytis, we suggest updating to the latest version of Skype now to get the latest features and to avoid future problems.

  2. What if we want to keep using older Desktop Skype versions. Will they still work on older OS like XP, or Vista or Windows 7?

    I agree that these ARE indeed improvements compared to (an prviously not availale to) the old classical p2p Skype .

    * Sending and receiving instant messages when your contacts are offline
    * Viewing consistent and complete chat history across multiple devices
    * Syncing read/unread status on all messages across devices

    … however, some of us still NEED to continue to use the older versions of Skype. One glaring example is Skype room (group chat) moderation, which is not fully functional above v6.0 ; sepcifically, 6.3 and above does not allow group chat creators and moderators (master roles) to edit or remove messages of members or kick or ban members. Take that as question #2, though there are other uses for older Skype versions. Are you sure they will not work at all?

    Question # 1: Can we still use older versions in any OS envirement (win7, or older)?

    Question # 2: Will the edit and remove message or kick or ban commands become functional again for group chat room creators and moderators (master role)?

    Thanks In advance for responding,

    • Shana Pearlman said 4 months ago

      Hi Julie,

      Can you tell me a little bit more about the group you’re moderating and some situations where moderation was necessary?
      You will need to update Skype for all OS environments, but the new builds will work with older OS’s.

      Best, Shana from Skype.

  3. What does “retire” mean? Will the old versions still work/connect to the network/receive messages/ etc or not?

    • Shana Pearlman said 4 months ago

      Hi Alexander, once a version is retired, users will no longer be able to sign into the retired version until they upgrade to the latest version of Skype. Best, Shana from Skype.

  4. Will these new versions of Skype still be compatible with older operating systems, like Windows XP?

  5. What about applications based on Skype4COM (public API). Will they stop working ?

    • Shana Pearlman said 4 months ago

      Hi Hakon, Skype4Com uses the desktop API system, so functions associated with call recording and hardware will work, and those associated with IM will not.

  6. Your PC client is great !. I have absolutely no bad thing to say about it. It even syncs calls on phone faster than the Metro version.

    Buuuuuut. Some news about the update for the WP version? Android and especially iPhone got a lot of love recently. :D

    Anyway, you guys are great. I love your work.

  7. danrulz98 said 4 months ago

    I have a problem then. I’ve been using version 5.10 because anything newer and my messages won’t send!
    With Skype 6, I would wirte a message, hit enter to send, and it’d sit there pending for a long time, even with the other person sending me messages wondering where I am.
    Downgraded to 5.10 and problem solved. Now I’m being forced to use a buggy version with ads? Lame.
    Time to find a new chat service!

  8. If 2.8 will stop work I will stop using Skype… I can’t stand the “one wide window” interface that it has got since release 5. Everytime I update the client, but every time I run away in tears since I cannot get a grip on that BAD interface.

    Hope that some modifications in this area will come soon !!

  9. i still use version 6.1 as it gives the best video quality , i have tried every single version since, all of them are worse, i am not cpu or gpu limited on any of the machines, it is a shame to see this news, i just updated to 6.16 to give that a shot and it is also the same as earlier versions, i believe they have changed the video codec after 6.1 , also version 6.16 when a call is dropped and then regained you are unable to turn your webcam back on, i would be happy to file logs, as im sure would the other party i skype with, but in faq does no mention where to submit the logs? thanks!

  10. I have the same problem. With the newer versions of Skype, I can’t get video either on my XP based desktop or my Windows 7 based laptop. That’s why I switched back to the older version. I’ve seen many, many messages on the Web indicating that many others are having this same problem.

    • Shana Pearlman said 4 months ago

      Hi Steve, the newer Skype builds are supported on both XP and Windows 7, so could you tell me a little bit more about what’s going on? If the people you’re calling do not have newer builds of Skype, you will have trouble establishing video calls with them. Best, Shana from Skype.

  11. Thanks to the magnificent idea of forcing users to update, my computer now gives me this error for the newest version of Skype: “skype fatal error (kernel32.dll)”. This exact error has been the reason I hadn’t upgraded to begin with, when newer versions of Skype started popping up.

    So now, I am unable to access Skype from my computer. How is this constructive, or solveavble?! I was using version 6.6 just fine, so WHY am I being forced to update when I cannot even open the program now?!

    I have tried updating to SP3, but the XP version I own isn’t cooperating. Engineers, help, please.

  12. I have WinXP SP3, skype doesn’t work, it is the same problem I had months before, where it acts like my user/pass is wrong. Got Skype help, and they’re remedy was to use an older version of skype. Now can’t even do that.

  13. What will happen with Skype stand-alone phones. I have the Phillips VOIP841. Will this still work? I only use Skype with the phone and if it stops working I will stop using Skype altogether.

    • Thank you Shana, but, I think most stand-alone phones (at least mine) can’t be updated unless vendors create a firmware. If Skype is doing this now, vendors will not follow up having to maintain support for all devices. I think, if I cannot find a “better” stand-alone phone, Skype will not work for me or my family overseas. Can you suggest any stand-alone phone that will work?

      • Shana Pearlman said 3 months ago

        Hi Jorge, I am advised by our engineers that the particular device you mentioned (Phillips VOIP841) will continue to work.

  14. Hi, I have pretty much the same question as Jorge, except that we invested in a “Skype Certified” ASUS AiGuru SV1T to stay in touch with our non-tech-savvy grandma. At the moment we can’t connect to her if we update beyond 6.1. Are there plans to address this? Many thanks.

    • Shana Pearlman said 3 months ago

      Hi Danny, unfortunately we stopped supporting that device when Asus stopped selling it a couple of years ago.

  15. Old versions of sky have free desktop sharing and the new versions they removed that function and force people to pay for it. Now that your “retiring” old versions you will force people to upgrade to an inferior version.

  16. Hi Shana
    I’m using windows XP SP3 and until few days ago I was using Skype 5.10.0.116 and it was working perfectly.
    Then, I’ve received the message “We’ve signed you out because you’re using an outdated….”. Once updated Skype never started again due to a fatal error. I’d like to remark that such issue remains both with skype version 6.18 as well as 6.14.0.104 whereas I could not test with version 6.3.0.107 as it prompt back again the message “We’ve signed you out because you’re using an outdated….”.
    Thanks for your help.
    Best
    Silvano

  17. hfjde said 3 months ago

    What if i dont want a clunky UI that requires multiple steps to access the same thing that was just one click on skype 4.2? what if i dont want skype to hide people that are not in the voice chat? why did they decide to do this? how is skype benefiting from this?

  18. First you make skypes UI terrible, now you force me to use it. NO OLD SKYPE 4 U LOL. Why can’t I see all the information about a group call while talking with them, Who’s the host? Hell if I know now. Is anyone on hold? LOL Who cares, not like that was useful information. I’ll just keep rambling on to someone even if they aren’t there, eventually I’ll figure it out! Not to mention that giant blue gradient block background, it’s huge and it doesn’t even fit in with the dumb metro style you implemented! I don’t even care about all the dumb facebook bs, just stop TAKING AWAY FEATURES. GET IT TOGETHER.

  19. Hello, I use mac os to talk to my mom on her very expensive video phone Asus aiguru stand alone phone, however I have to use version 2.8.0.866 in order to be able to see her and for her to see me. My son also had to use an old version to be able to see her. She is 87 years old and lives alone. I use skype to check on her every day as I live abroad and have it so that it opens automatically so I can see her and can know if she has fallen or has any problem. Now I understand that I will not be able to see her soon after paying out for the phone. Please tell me that you are going to send her an update for her phone which we have been asking for for ages. She had a message about updating and she was told to say no because we weren’t sure what would happen, now my son can’t see her after being forced to update on his computer and I am worried that I will have to soon too. Please send us an update for the stand alone phone.

    • Shana Pearlman said 3 months ago

      Hi Jacky, I’m sorry to say that we stopped supporting that particular device when Asus stopped selling it two years ago.

  20. derangedbrony said 3 months ago

    Any word yet on what wi.l happen to Win98SE users?

  21. My wife is using a Mac from 2008 that is not compatible with Leopard so she cannot upgrade to Mavericks, which you have set as a system requirement. When she installs the “shiny new Skype” she keeps getting told she is using an old version of Skype despite installing the one in the link repeatedly.

    What is she supposed to do now? You have basically kicked her out because she is using a computer that is 6 years old – and that’s not old for Macs.

    Can you please stop this nonsense and let people use the version that works with their machine?

  22. Where can I get a version of Skype that works with Lion or Mountain Lion?

  23. Using a Mac OS X 10.6.8 and the new Skype simply won’t open. I get a “Skype Has Quite Unexpectedly” error every time. I’ve tried everything from deleting every trace of Skype to getting rid of fonts. Up until today, I had been using an old version and was completely fine with it until your app decided I wasn’t allowed to anymore. I shouldn’t have to update my whole OS, just for Skype.

    I can safely say I’m disgusted with this change. I sometimes wonder if companies like your think about the vast amount of users who aren’t able to update or use certain version of Skype. Now, I’m running all of my projects on Facebook Chat and it sucks.Way to ruin it for some people, Skype.

    • Shana Pearlman said 3 months ago

      Hi Gary, I’m sorry to hear about the issues you’ve been having. Here’s more information about a Skype version that will work for your Mac OSX 10.6. Hope that helps!

    • I’m on 10.6.8 as well. My Macbook can take no higher. I was fine with my version of Skype, so please reactivate it. Oh and no, I’m not buying a new laptop just for Skype, although it will be sorely missed.

  24. Okay, now have a problem with some old cmputers, which are using windows XP. New version of Skype do not work with em, and older versions – do not work at all! I really don’t know what to do with that.

  25. I have zero problem updating Skype, however those ads that pop up in the chat window (squishing the chat down a LOT) Is getting super frustrating and I’ve nearly had enough. It’s seriously distracting for me and I’ve been forced to go back to super old versions that somehow still work (since the 6 something version i used logged me out because it was retired, nice going there ….) so i can talk to my friends without some godforsaken skype ad flashing at the top above my friends avatar.

    Is there some way you can get rid of that pointless feature or some button for us to disable them? Please? because it’s seriously ruining my Skype experience and i pretty much use Skype every day so i can keep in touch with friends overseas.

  26. Is there a Version for OS X 10.9 and newer that can be downloaded which has Growl Notification support, since this feature has been removed in version 6.18?

  27. I have Windows XP 64 bit and the latest version does not load. I’ve been reading all the support pages for hours and doing or checking everything and NO JOY. Diag is fine, uninstalled my camera, updated all drivers, uninstalled previous version, reinstalled, restarted, etc etc. How do we get this resolved?

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s